Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_C_INITIALIZE_ARGS

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.wrapper.CK_C_INITIALIZE_ARGS

public class CK_C_INITIALIZE_ARGS
extends java.lang.Object

class CK_C_INITIALIZE_ARGS contains the optional arguments for the C_Initialize function.

PKCS#11 structure:

     typedef struct CK_C_INITIALIZE_ARGS {
       CK_CREATEMUTEX CreateMutex;
       CK_DESTROYMUTEX DestroyMutex;
       CK_LOCKMUTEX LockMutex;
       CK_UNLOCKMUTEX UnlockMutex;
       CK_FLAGS flags;
       CK_VOID_PTR pReserved;
     } CK_C_INITIALIZE_ARGS;

Author:
  Karl Scheibelhofer , Martin Schl??ffer

Field Summary
`CK_CREATEMUTEX` | `CreateMutex` PKCS#11:
`CK_DESTROYMUTEX` | `DestroyMutex` PKCS#11:
`long` | `flags` PKCS#11:
`CK_LOCKMUTEX` | `LockMutex` PKCS#11:
`java.lang.Object` | `pReserved` PKCS#11:
`CK_UNLOCKMUTEX` | `UnlockMutex` PKCS#11:

Constructor Summary
`CK_C_INITIALIZE_ARGS()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CreateMutex

    public CK_CREATEMUTEX CreateMutex

  PKCS#11:

         CK_CREATEMUTEX CreateMutex;

### DestroyMutex

    public CK_DESTROYMUTEX DestroyMutex

  PKCS#11:

         CK_DESTROYMUTEX DestroyMutex;

### LockMutex

    public CK_LOCKMUTEX LockMutex

  PKCS#11:

         CK_LOCKMUTEX LockMutex;

### UnlockMutex

    public CK_UNLOCKMUTEX UnlockMutex

  PKCS#11:

         CK_UNLOCKMUTEX UnlockMutex;

### flags

    public long flags

  PKCS#11:

         CK_FLAGS flags;

### pReserved

    public java.lang.Object pReserved

  PKCS#11:

         CK_VOID_PTR pReserved;

Constructor Detail

### CK_C_INITIALIZE_ARGS

    public CK_C_INITIALIZE_ARGS()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18